local text = this.getText(node)

function split_text_by_characters(text)
    local characters = {}

    for _, character in utf8.codes(text) do
        local char_str = utf8.char(character)
        local normalized_char = normalize_accented_chars(char_str)

        if char_str == " " then
            service.appendSpeak("space")
        elseif char_str == "\n" then
            service.appendSpeak("new line")
        elseif char_str ~= normalized_char then
            service.appendSpeak(normalized_char)
            service.appendSpeak("Con acento")
        elseif char_str:match("%u") then
            -- Verbalizar letras mayúsculas
            service.appendSpeak("Capital")
            service.appendSpeak(char_str:lower())  -- Deletrear en minúsculas
        else
            -- Verbalizar otras letras
            service.appendSpeak(char_str)
        end

        characters[#characters + 1] = char_str
    end

    return characters
end

function normalize_accented_chars(char)
    local accent_map = {
        ["á"] = "a",
        ["é"] = "e",
        ["í"] = "i",
        ["ó"] = "o",
        ["ú"] = "u",
        -- Agrega otras vocales acentuadas según sea necesario
    }

    return accent_map[char] or char
end

split_text_by_characters(text)
return true